@charset "UTF-8";

body{
	font-family: "Helvetica Neue","Helvetica", "Arial", "Yu Gothic","Hiragino Kaku Gothic ProN","Hiragino Sans","Meiryo", sans-serif;
	font-weight: 500;
	text-align: unset;
	color: #252525;
	background: #fafafa;
}

p{
	line-height: 1.75;
}

a{
	color: #252525;
}

.hide-sp{
	display: none;
}

@media ( min-width : 980px ){
	.hide-pc{
		display: none;
	}
	.show-pc{
		display: block;
	}
}

/*-----------------------------------------------
ボタン
-----------------------------------------------*/
.btn{
	width: 100%;
	margin: 24px auto 0;
	padding: 16px;
	font-size: 1.8rem;
	color:#fff;
	background: #9c9c9c;
	border-radius: 8px;
	overflow: hidden;
	cursor: pointer;
}

@media ( min-width : 980px ){
	.btn:hover{
		opacity: .75;
	}
}

.btn-entry{
	background: #00B900;
}

/*-----------------------------------------------
アイコン
-----------------------------------------------*/
.icon{
	display: block;
	width: 24px;
	height: 24px;
	-webkit-mask-size: cover;
	mask-size: cover;
}

.icon-close{
	-webkit-mask-image: url('../img/svg-crossmark.svg');
	mask-image: url('../img/svg-crossmark.svg');
}

.icon-site{
	display: block;
	max-width: 120px;
	margin: 24px auto;
	border-radius: 8px;
	box-shadow: 0 0 24px #ddd;
}

.online::before{
	content: "";
	display: inline-block;
	margin:0 4px 0 8px;
	width: 1em;
	height: 1em;
	background: #00B900;
	border-radius: 50%;
	vertical-align: text-bottom;
}
/*-----------------------------------------------
通知
-----------------------------------------------*/
#notification {
	position: fixed;
	top: 8px;
	left: 2%;
	width: 96%;
	padding: 8px;
	font-size: 1.4rem;
	background: rgba(255, 255, 255, .9);
	border-radius: 0.5em;
	box-shadow: 8px 8px 8px -8px;
	z-index: 1;
	opacity: 0;  /* アニメーション初期非表示状態 */
	animation: slideInDown .8s forwards;
}

@keyframes slideInDown {
	0% {
		transform: translateY(-100%);
		opacity: 0;
	}
	100% {
		transform: translateY(0); 
		opacity: 1;
	}
}

.notification_inner{
	position: relative;
}

.notification_inner .userPic{
	width: 12%;
	border-radius: 50%;
}

.notification_inner .text{
	width: 80%;
	padding-left: 16px;
	border-radius: 50%;
}

.notification_inner .textLink{
	cursor: pointer;
}

.notification_inner .badge{
	position: absolute;
	right: -12px;
	top: -12px;
	width: 24px;
	height: 24px;
	line-height: 24px;
	text-align: center;
	font-weight: bold;
	color: #fff;
	background: #f00;
	border-radius: 50%;
}

/*-----------------------------------------------
プロフ
-----------------------------------------------*/
.profileWrapper{
	width: 100%;
}

.profileItem-first{
	position: relative;
}

.baseProfile{
	position: absolute;
	left: 2%;
	bottom: 0;
	color: #fff;
	font-size: 2rem;
	font-weight: bold;
	text-shadow: 1px 1px 3px #000;
}

.profileItem-second{
	padding: 8px;
}

.profileList{
	width: 100%;
}

.profileList_item{
	display: flex;
	justify-content: space-between;
	width: 100%;
	padding: 8px 0;
	border-bottom: 1px solid #f3f3f3;
}

.profileList_item .headLine{
	font-weight: bold;
}

/*-----------------------------------------------
ポップアップ
-----------------------------------------------*/
#popup{
	position: fixed;
	top: 55%;
	left: 50%;
	width: 90%;
	max-width: 640px;
	height: 80%;
	background: #fff;
	border-radius: 0.5em;
	z-index: 1;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	box-shadow: 0 0 24px #696969;
	overflow-y: scroll;
	display: none;
}

#popup .icon-close{
	position: absolute;
	right: 4px;
	top: 4px;
	width: 32px;
	height: 32px;
	background-color: #ddd;
	cursor: pointer;
	z-index: 3;
}

#popup .btn{
	width: 90%;
}

.popup_inner{
	position: relative;
}

#popupFirst{
	width: 100%;
	position: absolute;
	top: 32px;
	z-index: 1;
}

#popupSecond{
	width: 100%;
	position: absolute;
	top: 0;
	z-index: 2;
	text-align: center;
	display: none;
}

#popupFirst .btn-readMsg{
	background: #ff15c1;
	box-shadow: 0 5px 20px #ff7ef9;
}

#popupFirst .userPic{
	display: block;
	width: 50%;
	max-width: 240px;
	margin: 16px auto;
	border-radius: 50%;
}

/*ローディング*/
#loading{
	width: 60%;
	margin: 0 auto;
	display: none;
}

.loader{
	width: 50px;
	margin: 0 auto;
	padding: 8px;
	aspect-ratio: 1;
	border-radius: 50%;
	background: #25b09b;
	--_m: 
		conic-gradient(#0000 10%,#000),
		linear-gradient(#000 0 0) content-box;
	-webkit-mask: var(--_m);
			mask: var(--_m);
	-webkit-mask-composite: source-out;
			mask-composite: subtract;
	animation: l3 1s infinite linear;
}

@keyframes l3 {to{transform: rotate(1turn)}}

#popupSecond .title{
	padding: 8px;
	font-weight: bold;
	text-align: center;
	color: #fff;
	background: #00B900;
}

#popupSecond .userPic{
	display: block;
	width: 50%;
	max-width: 240px;
	margin: 16px auto;
	border-radius: 50%;
}

#popupSecond .qrCode{
	width: 60%;
	max-width: 320px;
	margin: 16px auto;
}
/*-----------------------------------------------
モーダル（共通）
-----------------------------------------------*/
.modal {
	display: none;
}

.modalwindow {
	position: fixed;
	top: 0;
	left: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	margin: 0 auto;
	width: 100%;
	height: 100%;
	height: 100vh;
	background: rgba(0, 0, 0, .75);
	z-index: 9998;
}

.modalwindowContents {
	width: 90%;
	max-width: 480px;
	max-height: 80vh;
	overflow-y: scroll;
	margin: 0 auto;
	padding: 16px;
	background: #fff;
	border-radius: 8px;
	position: relative;
	-ms-overflow-style: none;
	/*スクロールバー非表示（IE・Edge）*/
	scrollbar-width: none;
	/*スクロールバー非表示（Firefox）*/
}

/*スクロールバー非表示（Chrome・Safari）*/
.modalwindowContents::-webkit-scrollbar {
	display: none;
}

.icon-close {
	position: absolute;
	right: 6px;
	top: 4px;
	width: 32px;
	height: 32px;
	-webkit-mask-image: url('../img/svg-crossmark.svg');
	mask-image: url('../img/svg-crossmark.svg');
	background-color: #fff;
	cursor: pointer;
}

.modalwindowTitle {
	font-size: 20px;
	color: #fff;
	text-align: center;
	font-weight: bold;
}

.modalwindowBody {
	background: #fff;
	padding: 8px;
}

.enrtyArea {
	padding: 24px 0px;
}

.enrtyAreaText {
	text-align: center;
	font-weight: bold;
	padding-bottom: 8px;
}

.noteTitle {
	font-weight: bold;
	padding-top: 5px;
}

.noteText {
	font-size: 12px;
	padding: 8px;
}

/*-----------------------------------------------
LINE登録用モーダル（通常）
-----------------------------------------------*/
.modalwindowContents-lineLogin {
	background: #06C755;
}

/*QRコード-PC用*/
.lineQR {
	display: block;
	width: 50%;
	margin: 0 auto;
	padding: 8px;
	background-color: #06C755;
}

/*-----------------------------------------------
離脱POP
-----------------------------------------------*/
@keyframes rotation {
	0% {
		transform: rotate(0);
	}

	100% {
		transform: rotate(360deg);
	}
}

.anime-rotate {
	animation: rotation 1.5s linear infinite;
}

.icon-user {
	-webkit-mask-image: url('../img/svg-user.svg');
	mask-image: url('../img/svg-user.svg');
}

.icon-mapPin {
	-webkit-mask-image: url('../img/svg-mapPin.svg');
	mask-image: url('../img/svg-mapPin.svg');
}

.icon-loard {
	-webkit-mask-image: url('../img/svg-loard.svg');
	mask-image: url('../img/svg-loard.svg');
}

.icon-line {
	-webkit-mask-image: url('../img/svg-line.svg');
	mask-image: url('../img/svg-line.svg');
}

.modal-hold .modalwindowTitle {
	margin: -16px -16px 0;
	padding: .75rem;
	font-size: 1.6rem;
	font-weight: bold;
	text-align: left;
	color: #FFF;
	background: #e90fa7;
}

.userList_item {
	padding: 8px 0;
	display: flex;
}

.userList_item .userPic {
	width: 120px;
	height: 120px;
}

.userList_item .userDetails {
	width: calc(100% - 120px);
	padding: 0 8px;
}

.status-online {
	text-align: center;
	font-weight: bold;
	color: #e90fa7;
}

.userList_item .icon {
	display: inline-block;
	width: 20px;
	height: 20px;
	margin: 0 2px 0 0;
	padding: 0;
	background: #e90fa7;
	-webkit-mask-size: cover;
	mask-size: cover;
}

.userList_item .userName {
	font-size: 12px;
	text-align: center;
}

.userList_item .icon-user,
.userList_item .icon-mapPin {
	width: 16px;
	height: 16px;
	background: #4a4a4a;
}

.userList_item .btn-line {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 90%;
	padding: 8px;
	margin: 16px auto 0;
	font-size: 18px;
	text-align: center;
	font-weight: bold;
	color: #fff;
	background: #00b900;
	border-radius: 126px;
}

.userList_item .btn-line .icon-line {
	margin-right: 4px;
	width: 23px;
	height: 22px;
	background: #fff;
}
